| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::bioinspired::SegmentationParameters Struct Reference
Biologically inspired vision models and derivated tools

parameter structure that stores the transient events detector setup parameters More...

`#include <opencv2/bioinspired/transientareassegmentationmodule.hpp>`

Collaboration diagram for cv::bioinspired::SegmentationParameters:

## Public Member Functions
| SegmentationParameters ()

## Public Attributes
float | contextEnergy_spatialConstant
float | contextEnergy_temporalConstant
| context neighborhood energy filtering parameters : the aim is to get information about the energy on a wide neighborhood area to filtered out local effects
float | localEnergy_spatialConstant
| the spatial constant of the first order low pass filter, use it to cut high spatial frequencies (noise or thick contours), unit is pixels, typical value is 5 pixel
float | localEnergy_temporalConstant
| the time constant of the first order low pass filter, use it to cut high temporal frequencies (noise or fast motion), unit is frames, typical value is 0.5 frame
float | neighborhoodEnergy_spatialConstant
float | neighborhoodEnergy_temporalConstant
| local neighborhood energy filtering parameters : the aim is to get information about the energy neighborhood to perform a center surround energy analysis
float | thresholdOFF
float | thresholdON

## Detailed Description

parameter structure that stores the transient events detector setup parameters

## Constructor & Destructor Documentation

## ◆ SegmentationParameters()

cv::bioinspired::SegmentationParameters::SegmentationParameters | ( |  | ) |
| inline

## Member Data Documentation

## ◆ contextEnergy_spatialConstant

float cv::bioinspired::SegmentationParameters::contextEnergy_spatialConstant

## ◆ contextEnergy_temporalConstant

float cv::bioinspired::SegmentationParameters::contextEnergy_temporalConstant

context neighborhood energy filtering parameters : the aim is to get information about the energy on a wide neighborhood area to filtered out local effects

## ◆ localEnergy_spatialConstant

float cv::bioinspired::SegmentationParameters::localEnergy_spatialConstant

the spatial constant of the first order low pass filter, use it to cut high spatial frequencies (noise or thick contours), unit is pixels, typical value is 5 pixel

## ◆ localEnergy_temporalConstant

float cv::bioinspired::SegmentationParameters::localEnergy_temporalConstant

the time constant of the first order low pass filter, use it to cut high temporal frequencies (noise or fast motion), unit is frames, typical value is 0.5 frame

## ◆ neighborhoodEnergy_spatialConstant

float cv::bioinspired::SegmentationParameters::neighborhoodEnergy_spatialConstant

## ◆ neighborhoodEnergy_temporalConstant

float cv::bioinspired::SegmentationParameters::neighborhoodEnergy_temporalConstant

local neighborhood energy filtering parameters : the aim is to get information about the energy neighborhood to perform a center surround energy analysis

## ◆ thresholdOFF

float cv::bioinspired::SegmentationParameters::thresholdOFF

## ◆ thresholdON

float cv::bioinspired::SegmentationParameters::thresholdON

The documentation for this struct was generated from the following file:

- opencv2/bioinspired/transientareassegmentationmodule.hpp